Skip to main content

Create Lease: Buildium

POSThttps://api.propexo.com/v1/leases/buildium/
InterfaceMethod
LeasesPOST /leases
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    typestringrequired

    The type associated with the lease

    Show 3 enum values
    FixedFixedWithRolloverAtWill
    unit_idstringrequired

    The Propexo unique identifier for the unit

    start_datestring<date-time>required

    The start date associated with the lease

    first_namestringrequired

    The first name associated with the resident

    last_namestringrequired

    The last name associated with the resident

    address_1stringrequired

    The first address line associated with the resident

    Possible values: <= 100 characters

    citystringrequired

    The city associated with the resident

    Possible values: <= 100 characters

    statestringrequired

    The state associated with the resident

    zipstringrequired

    The zip code associated with the resident

    countrystringrequired

    The country associated with the resident

    Show 1 enum value
    US
    financial_account_idstring

    The Propexo unique identifier for the financial account

    end_datestring<date-time>

    The end date associated with the lease

    send_welcome_emailboolean

    Whether to send a welcome email to the tenant

    Default value: false
    email_1string<email>

    The primary email address associated with the resident

    email_2string<email>

    The secondary email address associated with the resident

    phone_1string

    Primary phone number associated with the resident

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Secondary phone number associated with the resident

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    date_of_birthstring

    The date of birth associated with the resident

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_2string

    The second address line associated with the resident

    Possible values: <= 100 characters

    address_1_alternatestring

    The first alternate address line associated with the resident

    Possible values: <= 100 characters

    address_2_alternatestring

    The second alternate address line associated with the resident

    Possible values: <= 100 characters

    city_alternatestring

    The alternate city associated with the resident

    Possible values: <= 100 characters

    state_alternatestring

    The alternate state associated with the resident

    zip_alternatestring

    The alternate zip code associated with the resident

    country_alternatestring

    The alternate country associated with the resident

    Show 1 enum value
    US
    rent_cyclestring

    The duration in which rent charges will be automatically appended to the lease ledger

    Show 9 enum values
    MonthlyWeeklyEvery2WeeksQuarterlyYearlyEvery2MonthsDailyEvery6MonthsOneTime
    rent_amount_in_centsinteger

    The rent amount in cents for the lease

    rent_due_datestring

    The rent due date associated with the lease. The timestamp will be stripped off and only the date will be used

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    typestringrequired

    The type associated with the lease

    Show 3 enum values
    FixedFixedWithRolloverAtWill
    unit_idstringrequired

    The Propexo unique identifier for the unit

    start_datestring<date-time>required

    The start date associated with the lease

    first_namestringrequired

    The first name associated with the resident

    last_namestringrequired

    The last name associated with the resident

    address_1stringrequired

    The first address line associated with the resident

    Possible values: <= 100 characters

    citystringrequired

    The city associated with the resident

    Possible values: <= 100 characters

    statestringrequired

    The state associated with the resident

    zipstringrequired

    The zip code associated with the resident

    countrystringrequired

    The country associated with the resident

    Show 1 enum value
    US
    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    end_date(string | null)<date-time>nullablerequired

    The end date associated with the lease

    send_welcome_emailboolean | nullnullable
    Default value: false
    email_1(string | null)<email>nullablerequired

    The primary email address associated with the resident

    email_2(string | null)<email>nullablerequired

    The secondary email address associated with the resident

    phone_1string | nullnullablerequired

    Primary phone number associated with the resident

    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string | nullnullablerequired

    Secondary phone number associated with the resident

    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the resident

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_2string | nullnullablerequired

    The second address line associated with the resident

    Possible values: <= 100 characters

    address_1_alternatestring | nullnullablerequired

    The first alternate address line associated with the resident

    Possible values: <= 100 characters

    address_2_alternatestring | nullnullablerequired

    The second alternate address line associated with the resident

    Possible values: <= 100 characters

    city_alternatestring | nullnullablerequired

    The alternate city associated with the resident

    Possible values: <= 100 characters

    state_alternatestring | nullnullablerequired

    The alternate state associated with the resident

    zip_alternatestring | nullnullablerequired

    The alternate zip code associated with the resident

    country_alternatestring | nullnullablerequired

    The alternate country associated with the resident

    Show 1 enum value
    US
    rent_cyclestring | nullnullablerequired

    The duration in which rent charges will be automatically appended to the lease ledger

    Show 9 enum values
    MonthlyWeeklyEvery2WeeksQuarterlyYearlyEvery2MonthsDailyEvery6MonthsOneTime
    rent_amount_in_centsinteger | nullnullablerequired

    The rent amount in cents for the lease

    rent_due_datestring | nullnullablerequired

    The rent due date associated with the lease. The timestamp will be stripped off and only the date will be used

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leases/buildium/
curl -X POST https://api.propexo.com/v1/leases/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"type": "Fixed",
"unit_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "US"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"type": "Fixed",
"unit_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "US",
"financial_account_id": "string",
"end_date": "2024-07-29T15:51:28.071Z",
"send_welcome_email": false,
"email_1": "[email protected]",
"email_2": "[email protected]",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_2": "string",
"address_1_alternate": "string",
"address_2_alternate": "string",
"city_alternate": "string",
"state_alternate": "string",
"zip_alternate": "string",
"country_alternate": "US",
"rent_cycle": "Monthly",
"rent_amount_in_cents": 0,
"rent_due_date": "2024-07-29T15:51:28.071Z"
}
}